Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.helper
Class DeployedItemHelper

    java.lang.Object
      com.sun.appserv.management.helper.Helper
          com.sun.appserv.management.helper.DeployedItemHelper

public final class DeployedItemHelper
extends Helper

Helper for deployed items (modules).

Field Summary

Fields inherited from class com.sun.appserv.management.helper.Helper
`mBulkAccess, mDomainRoot, mQueryMgr`

Constructor Summary
`DeployedItemHelper(DomainRoot domainRoot)`

Method Summary
`java.util.Set` | `queryClusterDeployedItemObjectNames(java.lang.String clusterName)` Get the ObjectNames of all deployed items in the specified cluster.
`java.util.Set` | `queryStandaloneServerDeployedItemObjectNames(java.lang.String standaloneServerName)` Get the ObjectNames of all deployed items in the specified server.

Methods inherited from class com.sun.appserv.management.helper.Helper
`filterByAttributeValue, getDomainRoot, propsQuery, propsQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployedItemHelper

    public DeployedItemHelper(DomainRoot domainRoot)

Method Detail

### queryStandaloneServerDeployedItemObjectNames

    public java.util.Set queryStandaloneServerDeployedItemObjectNames(java.lang.String standaloneServerName)

  Get the ObjectNames of all deployed items in the specified server. To extract the names, use `Util`.getNamesSet(set).

  Parameters:
    `standaloneServerName` -
  Returns:
    Set of ObjectName for all modules

### queryClusterDeployedItemObjectNames

    public java.util.Set queryClusterDeployedItemObjectNames(java.lang.String clusterName)

  Get the ObjectNames of all deployed items in the specified cluster. To extract the names, use `Util`.getNamesSet(set).

  Parameters:
    `clusterName` -
  Returns:
    Set of ObjectName for all modules

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.